
Network Tools - Bug #1698

TypeError on speedtest dashboard

01/24/2017 06:41 AM - Luke Murphey

Status: Closed Start date: 01/24/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

Uncaught TypeError: Cannot read property 'on' of undefined

Associated revisions

Revision 61 - 02/09/2017 08:45 AM - lmurphey

Fixing JS error on some dashboards

Closes #1698

History

#1 - 02/09/2017 08:38 AM - Luke Murphey

This is caused by this line in tabs.js:

$('a[data-toggle="tab"]').on('shown', setTokenForTab);

 

Putting it into a ready call doesn't help.

#2 - 02/09/2017 08:44 AM - Luke Murphey

Actually, it wasn't. It was this:

submit.on("submit", function()...

#3 - 02/09/2017 08:45 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset splunk-network-tools-svn|r61.
